USERADD(8)

NAME
useradd - Créer un nouvel utilisateur ou modifier les informations par défaut appliquées aux nouveaux utilisateurs

SYNOPSIS

useradd [options] LOGIN

useradd -D

useradd -D [options]

DESCRIPTION

Quand elle est invoquée sans l'option -D, la commande useradd crée un nouveau compte utilisateur qui utilise les valeurs spécifiées sur la ligne de commande et les valeurs par défaut du système. Le nouveau compte utilisateur sera inséré dans les fichiers du système quand c'est nécessaire, le répertoire personnel sera créé, et les fichiers initiaux copiés, en fonction des options présentes en ligne de commande.

OPTIONS

Les options disponibles pour la commande useradd sont :

-c, --comment COMMENTAIRE
    Toute chaîne de texte. C'est généralement une description du login, et est actuellement utilisée comme champ pour le nom complet de l'utilisateur.

-b, --base-dir RÉP_BASE
    Le répertoire de base par défaut du système si l'option -d rép n'est pas spécifiée. RÉP_BASE est concaténée avec le nom du compte pour définir le répertoire personnel. Quand l'option -m n'est pas utilisée, rép_base doit exister.

-d, --home RÉP_PERSO
    Le nouvel utilisateur sera créé en utilisant RÉP_PERSO comme valeur du répertoire de connexion de l'utilisateur. Le comportement par défaut est de concaténer utilisateur au répertoire RÉP_BASE, et de l'utiliser en tant que nom de répertoire de connexion.

-e, --expiredate DATE_FIN_VALIDITÉ
    La date à laquelle le compte utilisateur sera désactivé. La date est spécifiée dans le format AAAA-MM-JJ.

-f, --inactive DURÉE_INACTIVITÉ
    Le nombre de jours suivant la fin de validité d'un mot de passe après lequel le compte est définitivement désactivé. Une valeur de 0 désactive le compte dès que le mot de passe a dépassé sa fin de validité, et une valeur de -1 désactive cette fonctionnalité. La valeur par défaut est de -1.

-g, --gid GROUPE
    Le nom du groupe ou le numéro du groupe de connexion initial de l'utilisateur. Le nom du groupe doit exister. Un numéro de groupe doit se référer à un groupe préexistant. Le numéro de groupe par défaut est de 1, ou la valeur spécifiée dans /etc/default/useradd.

-G, --groups GROUPE1[,GROUPE2,...[,GROUPEN]]]
    Une liste de groupes supplémentaires auxquels fait également partie l'utilisateur. Chaque groupe est séparé du suivant par une virgule, sans espace entre eux. Les groupes sont soumis aux mêmes restrictions que celles de l'option -g. Le comportement par défaut pour l'utilisateur est de n'appartenir qu'au groupe initial.

-h, --help
    Affiche un message d'aide et quitte.

-m, --create-home
    Le répertoire personnel de l'utilisateur sera créé s'il n'existe pas déjà. Les fichiers contenus dans rép_squelette seront copiés dans le répertoire personnel si l'option -k est employée ; sinon, les fichiers contenus dans /etc/skel seront utilisés à la place. Tous les répertoires contenus dans rép_squelette ou dans /etc/skel seront également créés dans le répertoire personnel de l'utilisateur. L'option -k n'est valable qu'en conjonction avec l'option -m. Le comportement par défaut est de ne pas créer le répertoire, et de ne copier aucun fichier.

-K, --key CLÉE=VALEUR
    Surcharge les valeurs par défaut du fichier /etc/login.defs (UID_MIN, UID_MAX, UMASK, PASS_MAX_DAYS et autres). Par exemple.: -KPASS_MAX_DAYS=-1 peut être utilisé pour la création de comptes système pour désactiver l'âge des mots de passe, même si les comptes système n'ont pas de mot de passe. Plusieurs options -K peuvent être spécifiées, comme par exemple : -KUID_MIN=100-KUID_MAX=499

    Note : -KUID_MIN=10,UID_MAX=499 ne fonctionne pas pour l'instant.

-o, --non-unique
    Permet de créer un utilisateur avec un identifiant (« UID ») redondant (non unique).

-p, --password MOT_DE_PASSE
    Le mot de passe chiffré, comme renvoyé par crypt(3). Le comportement par défaut est de désactiver le compte.

-s, --shell INTERPRÉTEUR
    Le nom de l'interpréteur de commandes initial de l'utilisateur (« login shell »). Le comportement par défaut est de laisser ce champ vide. Le système sélectionnera alors l'interpréteur par défaut.

-u, --uid UID
    La valeur numérique de l'identifiant de l'utilisateur. Cette valeur doit être unique, à moins que l'option -o ne soit utilisée. La valeur ne doit pas être négative. Le comportement par défaut est d'utiliser la plus petite valeur d'identifiant plus grande que 999, et plus grande que celle des identifiants de tous les autres utilisateurs. Les valeurs comprises entre 0 et 999 sont généralement réservées pour les comptes systèmes.

  Modifier les valeurs par défaut

Quand il est invoqué avec l'option -D, useradd affichera soit les valeurs actuelles par défaut, soit mettra à jour les valeurs par défaut via la ligne de commande. Les options valables sont :

-b RÉP_PERSO
    Le préfixe du chemin des répertoires personnels pour les nouveaux utilisateurs. Le nom de l'utilisateur sera attaché à la fin de rép_perso pour créer le nom du nouveau répertoire si l'option -d n'est pas utilisée pendant la création d'un nouveau compte.

-e date_fin_validité
    La date à laquelle le compte utilisateur sera désactivé.

-f durée_inactivité
    Le nombre de jours après la fin de validité d'un mot de passe avant que le compte ne soit désactivé.

-g, --gid GROUPE
    Le nom de groupe ou l'identifiant numérique du groupe initial d'un nouvel utilisateur. Le groupe spécifié doit exister, et un identifiant de groupe numérique doit déjà exister.

-s, --shell INTERPRÉTEUR
    Le nom de l'interpréteur de commandes initial (« login shell ») d'un nouvel utilisateur. Le programme nommé sera utilisé pour tous les futurs nouveaux comptes utilisateur.

Si aucune option n'est spécifiée, useradd affiche les valeurs par défaut du moment.

NOTES

L'administrateur système doit se charger de placer les fichiers par défaut dans le répertoire /etc/skel.

AVERTISSEMENTS

Vous ne pouvez pas ajouter d'utilisateur à un groupe NIS. Cela doit être effectué sur le serveur NIS.

De la même façon, si le nom de l'utilisateur existe dans une base de données externe, telle que NIS, useradd refusera de créer l'utilisateur.

Les noms d'utilisateur doivent commencer par une lettre minuscule ou un « underscore », et seuls des lettres minuscules, des chiffres, des « underscore », des tirets ou un dollar peuvent suivre. Soit, sous la forme d'une expression rationnelle : [a-z_][a-z0-9_-]*[$]

FICHIERS

/etc/passwd
    informations sur les comptes des utilisateurs

/etc/shadow
    informations sécurisées sur les comptes utilisateurs

/etc/group
    informations sur les groupes

/etc/default/useradd
    valeurs par défaut utilisées par useradd

/etc/skel/
    répertoire contenant les fichiers ajoutés par défaut aux nouveaux utilisateurs

/etc/login.defs
    configuration de la suite des mots de passe cachés « shadow password »

VALEUR DE RETOUR

La commande useradd retourne les valeurs suivantes en quittant :

0   succès

1   impossible de mettre à jour le fichier des mots de passe

2   erreur de syntaxe

3   argument non valable pour l'option

4   uid déjà utilisé (et pas d'option -o)

6   le groupe spécifié n'existe pas

9   nom d'utilisateur déjà utilisé

10  impossible de mettre à jour le fichier des groupes

12  impossible de supprimer le répertoire personnel

13  impossible de créer le répertoire d'attente des courriels

VOIR AUSSI

chfn(1), chsh(1), passwd(1), crypt(3), groupadd(8), groupdel(8), groupmod(8), login.defs(5), userdel(8), usermod(8).